1. Authentication
ESG SDMS Prod
  • Authentication
    • Auth
      POST
  • Corporate
    • Indicators
      • List Indicators
      • Show Indicator
    • Indicator Data Input
      • List Data Input
      • Get Data Input
      • Create Data Input
      • Update Data Input
      • Delete Data Input
      • Create or Update Data Input
    • Units
      • List Units
      • Show Unit
    • Themes
      • List Themes
      • Show Theme
    • Groups
      • Show Group
      • List Groups
    • Regimes
      • Show Regime
      • List Regimes
    • Years
      • Show Year
      • List Years
  1. Authentication

Auth

Prod Env
https://platform.esginvest.com
Prod Env
https://platform.esginvest.com
POST
/api/external/auth

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://platform.esginvest.com/api/external/auth' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "id": 17,
    "name": "Test User",
    "email": "test@esginvest.com",
    "email_verified_at": null,
    "activated_at": "2026-01-15T05:37:09.000000Z",
    "two_factor_confirmed_at": null,
    "current_team_id": null,
    "profile_photo_path": null,
    "created_at": "2021-11-05T11:26:49.000000Z",
    "updated_at": "2026-01-15T05:37:09.000000Z",
    "pm_type": null,
    "pm_last_four": null,
    "trial_ends_at": null,
    "deleted_at": null,
    "department": null,
    "password_expires_at": null,
    "password_last_changed_at": null,
    "profile_photo_url": "https://ui-avatars.com/api/?name=S&color=7F9CF5&background=EBF4FF"
}
Modified at 2026-03-30 01:19:50
Next
List Indicators
Built with